aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorhexcoder- <heiko@hexco.de>2020-12-04 08:46:46 +0100
committerhexcoder- <heiko@hexco.de>2020-12-04 08:46:46 +0100
commitaca5b55b6d1f2d7079830b805e12d8585e98aa2e (patch)
treef736bdbc1df7931dd9f81f83b8551800a81c6507 /test
parente9a342f3d96b15594f95122b9dbd4de358f5923e (diff)
downloadAFLplusplus-aca5b55b6d1f2d7079830b805e12d8585e98aa2e.tar.gz
test-pre.sh revert removal of afl-clang
Diffstat (limited to 'test')
-rwxr-xr-xtest/test-pre.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/test/test-pre.sh b/test/test-pre.sh
index fc84cb47..4c708a68 100755
--- a/test/test-pre.sh
+++ b/test/test-pre.sh
@@ -106,7 +106,14 @@ export AFL_LLVM_INSTRUMENT=AFL
test -e /usr/local/bin/opt && {
export PATH="/usr/local/bin:${PATH}"
}
-AFL_GCC=afl-gcc
+# on MacOS X we prefer afl-clang over afl-gcc, because
+# afl-gcc does not work there
+test `uname -s` = 'Darwin' -o `uname -s` = 'FreeBSD' && {
+ AFL_GCC=afl-clang
+} || {
+ AFL_GCC=afl-gcc
+}
+command -v gcc >/dev/null 2>&1 || AFL_GCC=afl-clang
SYS=`uname -m`